<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ann_create_site_table_entry" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:xi="http://www.w3.org/2001/XInclude"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:html="http://www.w3.org/1999/xhtml"
          xmlns:db="http://docbook.org/ns/docbook">

  <!-- id: krui_createSiteTableEntry - DOT NOT MODIFY OR DELETE THIS LINE -->
  <!-- comments: krui_err krui_createSiteTableEntry(char*, char*);
/*****************************************************************************
  FUNCTION : ann_create_site_table_entry
  NOTES    :
  UPDATE   :
******************************************************************************/ -->
  <refnamediv>
    <refname>ann_create_site_table_entry</refname>

    <refpurpose> Creates a new site name and associate this name with a site
    function.</refpurpose>

  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>ann_create_site_table_entry(network, site_name, site_func);</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Input parameters</title>

    <variablelist>
      <varlistentry>
        <term>network</term>

        <listitem>
          <para>Instance of neural network</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>site_name</term>

        <listitem>
          <para>Site name (string).</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>site_func</term>

        <listitem>
          <para>Site function (string).</para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>



  <refsection>
    <title>Description</title>

    <para>
    Error if:
        - site name already exists or
        - site function is invalid or
        - memory allocation has failed
    </para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"> 
    Usage example
    </programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
        <member><link linkend="">name</link></member>

    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Emmanuel GOOSSAERT</member>
      <member>Yann COLLETTE</member>

    </simplelist>
  </refsection>
</refentry>
